Bug 126546 - Network Configuration tool crash on startup
Network Configuration tool crash on startup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 20:15 EDT by David Small
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Small 2004-06-22 20:15:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Application crashes on startup with the following exception ...

Component: redhat-config-network
Version: 1.2.0
Summary: TB
/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py:137:search:TypeError:
expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/neat", line 154, in ?
    window = mainDialog()
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 154, in __init__
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 232, in loadDevices
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 210, in getDeviceList
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevWireless.py",
line 34, in load
  File
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-network/netconfpkg/NCWireless.py",
line 52, in load
  File "/usr/src/build/228093-i386/install/usr/lib/python2.2/sre.py",
line 137, in search
    return _compile(pattern, flags).search(string)
TypeError: expected string or buffer

Local variables in innermost frame:
pattern: ^s:
flags: 0
string: None


Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1.run neat.
2.
3.
    

Additional info:
Comment 1 Harald Hoyer 2004-06-23 03:54:40 EDT
For Fedora Core 2 this is a fairly old redhat-config-network... 
1. redhat-config-network was renamed to system-config-network
2. the version number should be at least 1.3.16 for FC2

Comment 2 Harald Hoyer 2005-09-16 09:53:43 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.